<?php
/*
 * 1. Récupérer les données
 * 3. Si KO → 
 *     3.1 : stocker les erreurs en variables de session
 *     3.2 : rediriger vers le formulaire
 * 4. Si OK → 
 *     4.1 : Identifier l'utilisateur
 *     4.2 : Rediriger l'internaute
 */
include('init.php');

/* 
 * 1. récupération des données saisies (et mise en session)
 */
foreach($_POST as $key => $value) {
  $$key = htmlentities($value);
  $_SESSION[$key] = $value;
}

/*
 * 2. Contrôles
 */
unset($_SESSION['erreur']);
$error = [];

// Contrôles de surface
if ( empty($pseudo) ) { $error['pseudo'] = 'Veuillez saisir votre pseudo.'; }
if ( empty($pass) ) {   $error['pass']   = 'Veuillez saisir votre mot de passe.'; }
if ( !empty( $error ) ) {
  $_SESSION['erreur'] = $error;
  header('Location: ../identification.php');
  exit();
}

// Contrôles d'unicité du membre (pseudo)
$sql = "SELECT * FROM `membres` WHERE `pseudo` = :pseudo";
$pdoStatement = $conn->prepare($sql);
$pdoStatement->bindParam(':pseudo', $pseudo, PDO::PARAM_STR);
$res = $pdoStatement->execute();
if ( $res ) {
  $result = $pdoStatement->fetchAll();
  if ( count( $result ) > 0 ) {
    $DBpass = $result[0]['pass'];
    if (password_verify($pass, $DBpass)) {
      $_SESSION['pseudoUtilisateur'] = $pseudo;
      $_SESSION['passwordUtilisateur'] = $pass;
      // on efface les données de session liées à la saisie de l'internaute
      foreach($_POST as $key => $value) {
        unset($_SESSION[$key]);
      }
      unset($_SESSION['erreur']);
      // enfin on le redirige vers un message de succès
      header('Location: ../index.php');
      exit;
    }
  }
}
$_SESSION['erreur'] = ['Erreur d\'identification. <br>Veuillez vérifier vos informations.'];
header('Location: ../identification.php');
exit();