<?php 
include('_inc/init.php'); 
if ( $is_logged ) {
  header( 'Location: ./');
  exit;
}
?><!DOCTYPE html>
<html lang="fr">
<head>
  <title>
    Identification – TP Espace Membres
  </title>
  <?php include('_partials/head.php'); ?>
</head>
<body class="mb-5">

  <?php include('_partials/header.php'); ?>

  <div class="container mt-5">
    <h1>Identification</h1>
    <p>Veuillez utiliser le formulaire ci-dessous pour vous identifier.</p>
    <p>Si vous n'avez pas encore de compte, merci d'utiliser <a href="inscription.php">le formulaire d'inscription</a>.</p>
  </div>

  <div class="container pb-5">
    <form action="_inc/traitement-identification.php" method="post">
      <?php
      if ( isset($_SESSION['erreur']) && !empty($_SESSION['erreur']) ) {
        echo '<ul class="error alert alert-danger" role="alert">';
        foreach ( $_SESSION['erreur'] as $champ => $texte) {
          echo '<li>' . $texte . '</li>';
        }
        echo '</ul>';
      }
      ?>
      <p class="form-group <?php if ( isset($_SESSION['erreur']) && !empty($_SESSION['erreur']) && array_key_exists('pseudo', $_SESSION['erreur']) ) { ?>alert alert-danger<?php } ?>">
        <label class="sr-only" for="pseudo">
          Votre pseudo
        </label>
        <span class="input-group">
          <span class="input-group-prepend">
            <span class="input-group-text">@</span>
          </span>
          <input type="text" class="form-control" id="pseudo" placeholder="Pseudonyme" name="pseudo" value="<?php if ( isset($_SESSION['pseudo']) ) { echo $_SESSION['pseudo'];  } ?>" required>
        </span>
      </p>
      <p class="form-group <?php if ( isset($_SESSION['erreur']) && !empty($_SESSION['erreur']) && array_key_exists('pass', $_SESSION['erreur']) ) { ?>alert alert-danger<?php } ?>">
        <label for="pass">Votre mot de passe</label>
        <input type="password" class="form-control" id="pass" name="pass" required value="<?php if ( isset($_SESSION['pass']) ) { echo $_SESSION['pass'];  } ?>">
        <?php if ( isset($_SESSION['erreur']) && !empty($_SESSION['erreur']) && array_key_exists('pass', $_SESSION['erreur']) ) { echo $_SESSION['erreur']['pass'];  } ?>
      </p>
      <p>
        <button type="submit" class="btn btn-primary">Me connecter</button>
      </p>
    </form>
  </div>

  <?php include('_partials/footer.php'); ?>

</body>
</html>
