<?php 
include('_inc/init.php'); 
if ( $is_logged ) {
  header( 'Location: ./');
  exit;
}
?><!DOCTYPE html>
<html lang="fr">
<head>
  <title>
    <?php if ( isset($_SESSION['erreur']) && !empty($_SESSION['erreur']) ) { ?>
      Erreur de saisie – 
    <?php } ?>
    Inscription – TP Espace Membres
  </title>
  <?php include('_partials/head.php'); ?>
</head>
<body class="mb-5">

  <?php include('_partials/header.php'); ?>

  <div class="container mt-5">
    <h1>Inscription</h1>
    <p>Veuillez utiliser le formulaire ci-dessous pour créer un compte membre sur ce site.</p>
    <p>Si vous avez déjà un compte, merci de <a href="#">vous identifier</a>.</p>
  </div>

  <div class="container pb-5">
    <form action="_inc/traitement-inscription.php" method="post">
      <?php
      if ( isset($_SESSION['erreur']) && !empty($_SESSION['erreur']) ) {
        echo '<ul class="error alert alert-danger" role="alert">';
        foreach ( $_SESSION['erreur'] as $champ => $texte) {
          echo '<li>' . $texte . '</li>';
        }
        echo '</ul>';
      }
      ?>
      <p class="form-group <?php if ( isset($_SESSION['erreur']) && !empty($_SESSION['erreur']) && array_key_exists('pseudo', $_SESSION['erreur']) ) { ?>alert alert-danger<?php } ?>">
        <label class="sr-only" for="pseudo">
          Choisissez un pseudo
        </label>
        <span class="input-group">
          <span class="input-group-prepend">
            <span class="input-group-text">@</span>
          </span>
          <input type="text" class="form-control" id="pseudo" placeholder="Pseudonyme" name="pseudo" 


          value="<?php if ( isset($_SESSION['pseudo']) ) { echo $_SESSION['pseudo'];  } ?>"




           required>
        </span>
      </p>
      <p class="form-group <?php if ( isset($_SESSION['erreur']) && !empty($_SESSION['erreur']) && array_key_exists('pass', $_SESSION['erreur']) ) { ?>alert alert-danger<?php } ?>">
        <label for="pass">Choisissez un mot de passe</label>
        <input type="password" class="form-control" id="pass" name="pass" required value="<?php if ( isset($_SESSION['pass']) ) { echo $_SESSION['pass'];  } ?>">
        <?php if ( isset($_SESSION['erreur']) && !empty($_SESSION['erreur']) && array_key_exists('pass', $_SESSION['erreur']) ) { echo $_SESSION['erreur']['pass'];  } ?>
      </p>
      <p class="form-group <?php if ( isset($_SESSION['erreur']) && !empty($_SESSION['erreur']) && array_key_exists('pass_confirm', $_SESSION['erreur']) ) { ?>alert alert-danger<?php } ?>">
        <label for="pass_confirm">Confirmez le mot de passe</label>
        <input type="password" class="form-control" id="pass_confirm" name="pass_confirm" required value="<?php if ( isset($_SESSION['pass_confirm']) ) { echo $_SESSION['pass_confirm'];  } ?>">
        <?php if ( isset($_SESSION['erreur']) && !empty($_SESSION['erreur']) && array_key_exists('pass_confirm', $_SESSION['erreur']) ) { echo $_SESSION['erreur']['pass_confirm'];  } ?>
      </p>
      <p class="form-group <?php if ( isset($_SESSION['erreur']) && !empty($_SESSION['erreur']) && array_key_exists('email', $_SESSION['erreur']) ) { ?>alert alert-danger<?php } ?>">
        <label for="email">Votre adresse e-mail</label>
        <input type="email" class="form-control" id="email" aria-describedby="emailHelp" placeholder="exemple@domaine.com" name="email" required value="<?php if ( isset($_SESSION['email']) ) { echo $_SESSION['email'];  } ?>">
        <?php if ( isset($_SESSION['erreur']) && !empty($_SESSION['erreur']) && array_key_exists('email', $_SESSION['erreur']) ) { echo $_SESSION['erreur']['email'];  } ?>
      </p>
      <p>
        <button type="submit" class="btn btn-primary">M'inscrire</button>
      </p>
      <p>
        <small class="text-muted">
          Tous les champs sont obligatoires.<br>
          Vos données personnelles sont importantes. Nous ne les partageons avec personne.
        </small>
      </p>
    </form>
  </div>

  <?php include('_partials/footer.php'); ?>

</body>
</html>
